## fsplib 0.9

=== SConstruct ===
# Process this file with http://www.scons.org to build FSPlib.

import os
# init Scons
EnsureSConsVersion(0,96)
PREFIX='/usr/local'
PACKAGE='fsplib'
VERSION='0.9'

env = Environment()
# Turn CPPFLAGS to list
env.Append( CPPFLAGS = [])

################### Functions ######################
def importEnv(list=None, prefix=None):
   if list:
       for i in list:
	   if os.environ.get(i):
	       kw={}
	       kw[i]=os.environ.get(i)
	       kw={ 'ENV': kw }
	       env.Append(**kw)
   if prefix:
       for i in os.environ.keys():
	   if i.startswith(prefix):
	       kw={}
	       kw[i]=os.environ.get(i)
	       kw={ 'ENV': kw }
	       env.Append(**kw)

#import environment
importEnv(['HOME','CC'])
importEnv(prefix='DISTCC_')
importEnv(prefix='CCACHE_')
if env['ENV'].get('CC'):
    env.Replace( CC = env['ENV'].get('CC'))
# Get CC from commandline
if ARGUMENTS.get('CC', 0):
    env.Replace(CC =  ARGUMENTS.get('CC'))

#################### Tests ###################

def checkForDirentMember(conf,member,symbol):
    conf.Message("checking whether dirent structure has member "+member+"... ")
    rc=conf.TryCompile("""#include <sys/types.h>
#include <dirent.h>

    void dummy(void);
    void dummy()
    {
	struct dirent d;
	d."""+member+"""=0;
    }""",".c")
    if rc:
        conf.env.Append(CPPFLAGS = '-D'+symbol)
    conf.Result(rc)
    return rc

# check for other GCC options
def checkForGCCOption(conf,option):
#   if not conf.env['CC'].startswith('gcc'):
#       conf.Result(0)
   conf.Message("checking whether GCC supports "+option+" ")
   lastCFLAGS=conf.env['CCFLAGS']
   conf.env.Append(CCFLAGS = option)
   rc = conf.TryCompile("""
void dummy(void);
void dummy(void) {}
""",'.c')
   if not rc:
       conf.env.Replace(CCFLAGS = lastCFLAGS)
   conf.Result(rc)
   return rc

# check for maintainer mode
def checkForMaintainerMode(conf):
    conf.Message("checking whether to enable maintainer mode... ")
    if ARGUMENTS.get('maintainer-mode', 0) or \
       ARGUMENTS.get('enable-maintainer-mode', 0):
			  conf.Result(1)
			  conf.env.Append(CCFLAGS = '-O0')
			  conf.env.Append(CPPFLAGS = '-DMAINTAINER_MODE')
    else:
			  conf.env.Append(CCFLAGS = '-O')
			  conf.Result(0)

# check for user-supplied lock prefix
def checkForLockPrefix(conf):
    conf.Message("checking for user supplied lockprefix... ")
    lp = ARGUMENTS.get('lockprefix', 0) or ARGUMENTS.get("with-lockprefix",0)

    if lp:
			  conf.Result(1)
			  conf.env.Append(CPPFLAGS = '-DFSP_KEY_PREFIX=\\"'+lp+'\\"')
    else:
			  conf.Result(0)

# check for user-supplied lock prefix
def checkForUserPrefix(conf):
    global PREFIX
    conf.Message("checking for user supplied prefix... ")
    lp = ARGUMENTS.get('prefix', 0)
    if lp:
			  conf.Result(1)
			  PREFIX=lp
    else:
			  conf.Result(0)

#Start configuration
conf = Configure(env,{'checkForGCCOption':checkForGCCOption,
                      'MAINTAINER_MODE':checkForMaintainerMode,
		      'checkForLockPrefix':checkForLockPrefix,
		      'checkPrefix':checkForUserPrefix,
		      'checkDirentFor':checkForDirentMember})
for option in Split("""
      -Wall -W -Wstrict-prototypes -Wmissing-prototypes -Wshadow
      -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings
      -Waggregate-return -Wmissing-declarations
      -Wmissing-format-attribute -Wnested-externs
      -ggdb -fno-common -Wchar-subscripts -Wcomment
      -Wimplicit -Wsequence-point -Wreturn-type
      -Wfloat-equal -Wno-system-headers -Wredundant-decls
      -Wmissing-noreturn -pedantic
      -Wlong-long -Wundef -Winline
      -Wpointer-arith -Wno-unused-parameter
      -Wunreachable-code
"""):
       conf.checkForGCCOption(option)
#portability checks       
if not conf.CheckType("union semun", "#include <sys/types.h>\n#include <sys/ipc.h>\n#include <sys/sem.h>",'c'):
       conf.env.Append(CPPFLAGS = "-D_SEM_SEMUN_UNDEFINED=1")
conf.checkDirentFor('d_namlen','HAVE_DIRENT_NAMLEN')
conf.checkDirentFor('d_fileno','HAVE_DIRENT_FILENO')
conf.checkDirentFor('d_type','HAVE_DIRENT_TYPE')
if conf.CheckCHeader('stdint.h'):
       conf.env.Append(CPPFLAGS = "-DHAVE_STDINT_H")
#locking type checks
fun_lockf=conf.CheckFunc("lockf")
fun_semop=conf.CheckFunc("semop")
fun_shmget=conf.CheckFunc("shmget")
#select locking type
lt=ARGUMENTS.get('locking', 0) or ARGUMENTS.get("with-locking",0) or ARGUMENTS.get("lock",0) or ARGUMENTS.get("with-lock",0)
if lt == "none":
    conf.env.Append(CPPFLAGS = '-DFSP_NOLOCKING')
elif lt == "lockf" and fun_lockf:
    conf.env.Append(CPPFLAGS = '-DFSP_USE_LOCKF')
elif lt == "semop" and fun_semop and fun_shmget:
    conf.env.Append(CPPFLAGS = '-DFSP_USE_SHAREMEM_AND_SEMOP')
elif fun_semop and fun_shmget:
    conf.env.Append(CPPFLAGS = '-DFSP_USE_SHAREMEM_AND_SEMOP')
elif fun_lockf:
    conf.env.Append(CPPFLAGS = '-DFSP_USE_LOCKF')
else:
    conf.env.Append(CPPFLAGS = '-DFSP_NOLOCKING')
conf.checkForLockPrefix()
conf.checkPrefix()
conf.MAINTAINER_MODE()
conf.Finish()

# process build rules
Export( Split("env PREFIX PACKAGE VERSION"))
env.SConscript(dirs=['.'])

## fsplib 0.11

=== SConstruct ===
--- 
+++ 
@@ -3,9 +3,12 @@
 import os
 # init Scons
 EnsureSConsVersion(0,96)
+PACKAGE='fsplib'
+VERSION='0.11'
+
+#Defaults
 PREFIX='/usr/local'
-PACKAGE='fsplib'
-VERSION='0.9'
+SHARED=0
 
 env = Environment()
 # Turn CPPFLAGS to list
@@ -38,42 +41,49 @@
 if ARGUMENTS.get('CC', 0):
     env.Replace(CC =  ARGUMENTS.get('CC'))
 
-#################### Tests ###################
+############# Custom configure tests ###################
 
 def checkForDirentMember(conf,member,symbol):
+    """Checks if dirent structure has specified field member.
+ 
+    Keyword arguments:
+    member -- what member we are checking
+    symbol -- symbol to be defined by preprocessor if member exists
+
+    """
     conf.Message("checking whether dirent structure has member "+member+"... ")
-    rc=conf.TryCompile("""#include <sys/types.h>
-#include <dirent.h>
+    rc=conf.TryCompile("""
+    #include <sys/types.h>
+    #include <dirent.h>
 
     void dummy(void);
     void dummy()
     {
 	struct dirent d;
 	d."""+member+"""=0;
-    }""",".c")
+    }
+    """,".c")
     if rc:
         conf.env.Append(CPPFLAGS = '-D'+symbol)
     conf.Result(rc)
     return rc
 
-# check for other GCC options
 def checkForGCCOption(conf,option):
-#   if not conf.env['CC'].startswith('gcc'):
-#       conf.Result(0)
-   conf.Message("checking whether GCC supports "+option+" ")
-   lastCFLAGS=conf.env['CCFLAGS']
-   conf.env.Append(CCFLAGS = option)
-   rc = conf.TryCompile("""
-void dummy(void);
-void dummy(void) {}
-""",'.c')
-   if not rc:
+    """Check if compiler supports specified option"""
+    conf.Message("checking whether CC supports "+option+" ")
+    lastCFLAGS=conf.env['CCFLAGS']
+    conf.env.Append(CCFLAGS = option)
+    rc = conf.TryCompile("""
+    void dummy(void);
+    void dummy(void) {}
+    """,'.c')
+    if not rc:
        conf.env.Replace(CCFLAGS = lastCFLAGS)
-   conf.Result(rc)
-   return rc
+    conf.Result(rc)
+    return rc
 
-# check for maintainer mode
 def checkForMaintainerMode(conf):
+    """Check if maintainer mode is enabled by command line"""
     conf.Message("checking whether to enable maintainer mode... ")
     if ARGUMENTS.get('maintainer-mode', 0) or \
        ARGUMENTS.get('enable-maintainer-mode', 0):
@@ -84,8 +94,8 @@
 			  conf.env.Append(CCFLAGS = '-O')
 			  conf.Result(0)
 
-# check for user-supplied lock prefix
 def checkForLockPrefix(conf):
+    """check for user-supplied lock prefix on command line"""
     conf.Message("checking for user supplied lockprefix... ")
     lp = ARGUMENTS.get('lockprefix', 0) or ARGUMENTS.get("with-lockprefix",0)
 
@@ -95,8 +105,8 @@
     else:
 			  conf.Result(0)
 
-# check for user-supplied lock prefix
 def checkForUserPrefix(conf):
+    """check for user-supplied installation prefix"""
     global PREFIX
     conf.Message("checking for user supplied prefix... ")
     lp = ARGUMENTS.get('prefix', 0)
@@ -106,12 +116,26 @@
     else:
 			  conf.Result(0)
 
+def checkForBuildingSharedLibrary(conf):
+    """check if building shared library was requested"""
+    global SHARED
+    conf.Message("checking whether to build shared library... ")
+    makeshared=ARGUMENTS.get('enable-shared', 0)
+    if makeshared == 0 or makeshared == 'no':
+			  conf.Result(0)
+			  SHARED=0
+    else:
+			  conf.Result(1)
+			  SHARED=1
+
 #Start configuration
 conf = Configure(env,{'checkForGCCOption':checkForGCCOption,
                       'MAINTAINER_MODE':checkForMaintainerMode,
 		      'checkForLockPrefix':checkForLockPrefix,
 		      'checkPrefix':checkForUserPrefix,
-		      'checkDirentFor':checkForDirentMember})
+		      'checkDirentFor':checkForDirentMember,
+		      'ENABLE_SHARED':checkForBuildingSharedLibrary}
+		      )
 for option in Split("""
       -Wall -W -Wstrict-prototypes -Wmissing-prototypes -Wshadow
       -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings
@@ -123,7 +147,6 @@
       -Wmissing-noreturn -pedantic
       -Wlong-long -Wundef -Winline
       -Wpointer-arith -Wno-unused-parameter
-      -Wunreachable-code
 """):
        conf.checkForGCCOption(option)
 #portability checks       
@@ -154,9 +177,10 @@
     conf.env.Append(CPPFLAGS = '-DFSP_NOLOCKING')
 conf.checkForLockPrefix()
 conf.checkPrefix()
+conf.ENABLE_SHARED()
 conf.MAINTAINER_MODE()
 conf.Finish()
 
 # process build rules
-Export( Split("env PREFIX PACKAGE VERSION"))
+Export( Split("env PREFIX PACKAGE VERSION SHARED"))
 env.SConscript(dirs=['.'])

=== debian/changelog ===
fsplib (0.11-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format
  * debian/compat: bumped compat level to 8
  * debian/control:
    + Added Vcs-* fields.
    + Bumped Standards-Version to 3.9.2, no changes needed.
    + Build-Depend on debhelper >= 8
    + Added ${misc:Depends} to libfsplib-dev Depends field.
  * debian/rules: simplified rules file
  * debian/control: Updated my email address
  * Remove debian/*dirs
  * debian/copyright:
    + Updated copyright years
    + Make copyright file DEP-5 compliant

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 09 Jul 2011 11:32:15 +0200

fsplib (0.11-1) unstable; urgency=low

  * New upstream release

  * debian/control:
    + Bumped Standards-Version to 3.8.1, no changes needed.
    + Removed duplicated Section field from libfsplib0 target.
  * debian/rules: install ChangeLog as upstream changelog.
  * Added debian/docs
  * Added debian/libfsplib0.symbols
  * debian/copyright:
    + Converted to machine readable format.
    + Updated packaging copyright years.
    + Upgraded packaging license to GPL-3+
  * Build using Scons instead of autotools, since upstream removed autoconf
    support:
    + debian/control: Build-Depend on scons instead of autoconf, automake,
      libtool.
    + debian/rules:
      - Remove configure* targets.
      - Use scons instead of $(MAKE)
  * Added debian/*links to create symlinks for the shared library.
  * debian/libfsplib-dev.install: Removed *.la entry since it is not built
    anymore.
  * debian/watch:
    + Removed comments.
    + Appended debian uupdate.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2009 21:32:45 +0300

fsplib (0.9-1) unstable; urgency=low

  * Initial release. (Closes: #467259)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 24 Feb 2008 12:33:59 +0200

=== debian/control ===
Source: fsplib
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 8), scons
Standards-Version: 3.9.2
Section: libs
Homepage: http://fsp.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/fsplib.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/fsplib.git

Package: libfsplib-dev
Section: libdevel
Architecture: any
Depends: libfsplib0 (= ${binary:Version}), ${misc:Depends}
Description: FSP v2 protocol stack library - development files
 This is C library which support talking with FSP server using FSP v2 protocol
 and provides posix-like file manipulation interface.
 .
 For more information about FSP protocol see http://fsp.sourceforge.net/
 For library and API info see http://fsp.sourceforge.net/fsplib.html

Package: libfsplib0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FSP v2 protocol stack library - shared library
 This is C library which support talking with FSP server using FSP v2 protocol
 and provides posix-like file manipulation interface.
 .
 FSP is a protocol, a bit like FTP, for moving files around. It's designed for
 anonymous archives, and has protection against server and network overloading.
 It doesn't use connections, so it can survive things falling over. It's also
 designed to prevent network congestion, so it can be very nice for large
 transfers over slow links.
 .
 For more information about FSP protocol see http://fsp.sourceforge.net/
 For library and API info see http://fsp.sourceforge.net/fsplib.html

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	scons enable-shared=1 prefix=/usr build

override_dh_auto_clean:
	scons -c enable-shared=1
	rm -rf .scon* config.log

override_dh_auto_install:
	scons enable-shared=1 prefix=$(CURDIR)/debian/tmp/usr install

override_dh_install:
	dh_install --sourcedir=debian/tmp

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/fsp/fsplib-(.*)\.tar\.gz

## fsplib 0.14

=== SConstruct ===
# Process this file with http://www.scons.org to build FSPlib.

import os
# init Scons
EnsureSConsVersion(3,0)
PACKAGE='fsplib'
VERSION='0.14'

#Defaults
PREFIX='/usr/local'
SHARED=0

env = Environment()
# Turn CPPFLAGS to list
env.Append( CPPFLAGS = [])

############## Imports #################
from maintainer import checkForMaintainerMode
from compilertest import checkForCCOption
from buildshared import checkForBuildingSharedLibrary
from dirent import checkForDirentMember
from lockprefix import checkForLockPrefix
from locktype import checkForLockingType
from prefix import checkForUserPrefix

################### Functions ######################
def importEnv(list=None, prefix=None):
   if list:
       for i in list:
           if os.environ.get(i):
               kw={}
               kw[i]=os.environ.get(i)
               kw={ 'ENV': kw }
               env.Append(**kw)
   if prefix:
       for i in os.environ.keys():
           if i.startswith(prefix):
               kw={}
               kw[i]=os.environ.get(i)
               kw={ 'ENV': kw }
               env.Append(**kw)

#import environment
importEnv(['HOME','CC'])
importEnv(prefix='DISTCC_')
importEnv(prefix='CCACHE_')
if env['ENV'].get('CC'):
    env.Replace( CC = env['ENV'].get('CC'))
# Get CC from commandline
if ARGUMENTS.get('CC', 0):
    env.Replace(CC =  ARGUMENTS.get('CC'))

############# Custom configure tests ###################

#Start configuration
conf = Configure(env,{
                       'checkForGCCOption':checkForCCOption,
                       'MAINTAINER_MODE':checkForMaintainerMode,
                       'checkForLockPrefix':checkForLockPrefix,
                       'checkPrefix':checkForUserPrefix,
                       'checkDirentFor':checkForDirentMember,
                       'ENABLE_SHARED':checkForBuildingSharedLibrary,
                       'checkForLockingType':checkForLockingType
                      }
                      )
for option in Split("""
      -Wall -W -Wstrict-prototypes -Wmissing-prototypes -Wshadow
      -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings
      -Waggregate-return -Wmissing-declarations
      -Wmissing-format-attribute -Wnested-externs
      -ggdb -fno-common -Wchar-subscripts -Wcomment
      -Wimplicit -Wsequence-point -Wreturn-type
      -Wfloat-equal -Wno-system-headers -Wredundant-decls
      -Wmissing-noreturn -pedantic
      -Wlong-long -Wundef -Winline
      -Wpointer-arith -Wno-unused-parameter
      -Wno-cast-align
"""):
       conf.checkForGCCOption(option)
#portability checks       
if not conf.CheckType("union semun", "#include <sys/types.h>\n#include <sys/ipc.h>\n#include <sys/sem.h>",'c'):
       conf.env.Append(CPPFLAGS = "-D_SEM_SEMUN_UNDEFINED=1")
conf.checkDirentFor('d_namlen','HAVE_DIRENT_NAMLEN')
conf.checkDirentFor('d_fileno','HAVE_DIRENT_FILENO')
conf.checkDirentFor('d_type','HAVE_DIRENT_TYPE')
if conf.CheckCHeader('stdint.h'):
       conf.env.Append(CPPFLAGS = "-DHAVE_STDINT_H")
conf.checkForLockingType(conf)
conf.checkForLockPrefix()
PREFIX = conf.checkPrefix(PREFIX)
SHARED = conf.ENABLE_SHARED()
conf.MAINTAINER_MODE()
conf.Finish()

# process build rules
Export( Split("env PREFIX PACKAGE VERSION SHARED"))
env.SConscript(dirs=['.'])

=== debian/changelog ===
fsplib (0.14-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Do not run test program, as it requires a running fspd which isn't available
    (Closes: #958842)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 13:36:33 +0200

fsplib (0.14-4) unstable; urgency=medium

  * Revert back build autopkgtest

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 09 Apr 2020 21:25:16 +0200

fsplib (0.14-3) unstable; urgency=medium

  * Remove debian/tests, since the only test is disabled anyways

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Mar 2020 18:47:20 +0200

fsplib (0.14-2) unstable; urgency=medium

  * Remove site_scons/__pycache__  directory during clean (Closes: #952267)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Mar 2020 18:17:43 +0200

fsplib (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * d/clean: remove compiled python scripts

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 15 Jan 2020 22:06:13 +0200

fsplib (0.11-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  d/control:
    + Update standards version to 4.4.1
    + Add Rules-Requires-Root=no
  * Add build depends package field to symbols file
  * d/copyright:
    + Update copyright years
    + Update my email address
    + Set upstream license name to MIT
  * Add upstream metadata

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 13 Jan 2020 10:20:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fsplib
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), scons
-Standards-Version: 3.9.2
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 12), scons
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: libs
 Homepage: http://fsp.sourceforge.net/
-Vcs-Git: git://git.debian.org/git/collab-maint/fsplib.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/fsplib.git
+Vcs-Git: https://salsa.debian.org/debian/fsplib.git
+Vcs-Browser: https://salsa.debian.org/debian/fsplib
 
 Package: libfsplib-dev
 Section: libdevel

=== debian/tests/control ===
Tests: build
Depends: libfsplib-dev, build-essential
Restrictions: isolation-container

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
https://sf.net/fsp/fsplib-(.*)\.tar\.gz

## fsplib 0.14-5.1build1trisquel1

=== debian/changelog ===
fsplib (0.14-5.1build1trisquel1) ecne; urgency=medium

  * Rebuild as dependency of aptitude for i386

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 Oct 2025 03:53:29 +0000

fsplib (0.14-5.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:25:56 +0000

fsplib (0.14-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061955

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 09:19:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fsplib
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), scons
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), scons
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: libs
@@ -12,7 +13,7 @@
 Package: libfsplib-dev
 Section: libdevel
 Architecture: any
-Depends: libfsplib0 (= ${binary:Version}), ${misc:Depends}
+Depends: libfsplib0t64 (= ${binary:Version}), ${misc:Depends}
 Description: FSP v2 protocol stack library - development files
  This is C library which support talking with FSP server using FSP v2 protocol
  and provides posix-like file manipulation interface.
@@ -20,7 +21,10 @@
  For more information about FSP protocol see http://fsp.sourceforge.net/
  For library and API info see http://fsp.sourceforge.net/fsplib.html
 
-Package: libfsplib0
+Package: libfsplib0t64
+Provides: ${t64:Provides}
+Replaces: libfsplib0
+Breaks: libfsplib0 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FSP v2 protocol stack library - shared library
